﻿using System;
using IgOutlook.Infrastructure;
using Microsoft.Practices.Prism.Events;

namespace IgOutlook.Modules.Mail.Views
{
    public interface IMailViewViewModel : IViewModel
    {
    }

    public class MailViewViewModel : NavigationAwareViewModelBase, IMailViewViewModel
    {
        private readonly IEventAggregator _eventAggregator;

        public MailViewViewModel(IEventAggregator eventAggregator)
        {
            _eventAggregator = eventAggregator;
        }

        public override void OnNavigatedTo(Microsoft.Practices.Prism.Regions.NavigationContext navigationContext)
        {
            Title = String.Format("IG Outlook - {0}", navigationContext.Parameters[NavigationParamters.Folder]);
            base.OnNavigatedTo(navigationContext);

            _eventAggregator.GetEvent<ViewActivateEvent>().Publish(Title);
        }
    }
}
